System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Image System.ComponentModel.Editor("System.Drawing.Design.MetafileEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor))

When you use the method to save a graphic image as a Windows Metafile Format (WMF) or Enhanced Metafile Format (EMF) file, the resulting file is saved as a Portable Network Graphics (PNG) file instead. This behavior occurs because the ndptecgdiplus component of the dnprdnshort does not have an encoder that you can use to save files as .wmf or .emf files.

Defines a graphic metafile. A metafile contains records that describe a sequence of graphics operations that can be recorded (constructed) and played back (displayed). This class is not inheritable.

- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream.

  The from which to create the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified file name.

  A that represents the file name from which to create the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified handle.

  A handle to an enhanced metafile.
  true to delete the enhanced metafile handle when the is deleted; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified handle to a device context and an enumeration that specifies the format of the .

  The handle to a device context.
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified handle and a .

  A windows handle to a .
  A .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream.

  A that contains the data for this .
  A Windows handle to a device context.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name.

  A that represents the file name of the new .
  A Windows handle to a device context.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified handle to a device context and an enumeration that specifies the format of the . A string can be supplied to name the file.

  The handle to a device context.
  An that specifies the format of the .
  A descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified handle and a . Also, the parameter can be used to delete the handle when the metafile is deleted.

  A windows handle to a .
  A .
  true to delete the handle to the new when the is deleted; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, and an enumeration that specifies the format of the .

  A that contains the data for this .
  A Windows handle to a device context.
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, and a structure that represents the rectangle that bounds the new .

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, and a structure that represents the rectangle that bounds the new .

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, and an enumeration that specifies the format of the .

  A that represents the file name of the new .
  A Windows handle to a device context.
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, and a structure that represents the rectangle that bounds the new .

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, and a structure that represents the rectangle that bounds the new .

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure, and an enumeration that specifies the format of the .

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure, and an enumeration that specifies the format of the .

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, and an enumeration that specifies the format of the . Also, a string that contains a descriptive name for the new can be added.

  A that contains the data for this .
  A Windows handle to a device context.
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure.

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure.

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, and an enumeration that specifies the format of the . A descriptive string can be added, as well.

  A that represents the file name of the new .
  A Windows handle to a device context.
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A structure that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure, and an enumeration that specifies the format of the . A string can be provided to name the file.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified device context, bounded by the specified rectangle that uses the supplied unit of measure, and an enumeration that specifies the format of the . A string can be provided to name the file.

  The handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the .

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the .

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the .

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure. A descriptive string can also be added.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the .

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , and the supplied unit of measure. A descriptive string can also be added.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the . A string that contains a descriptive name for the new can be added.

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the . A string that contains a descriptive name for the new can be added.

  A that contains the data for this .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the . A descriptive string can also be added.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name, a Windows handle to a device context, a structure that represents the rectangle that bounds the new , the supplied unit of measure, and an enumeration that specifies the format of the . A descriptive string can also be added.

  A that represents the file name of the new .
  A Windows handle to a device context.
  A that represents the rectangle that bounds the new .
  A that specifies the unit of measure for .
  An that specifies the format of the .
  A that contains a descriptive name for the new .
  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr To be added

  Returns a Windows handle to an enhanced .

  A Windows handle to this enhanced .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Imaging.MetafileHeader To be added

  Returns the associated with this .

  The associated with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Imaging.MetafileHeader `` To be added

  Returns the associated with the specified .

  The associated with the specified .

  The handle to the enhanced for which a header is returned. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.MetafileHeader `` To be added

  Returns the associated with the specified .

  The associated with the specified .

  A containing the for which a header is retrieved. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.MetafileHeader `` To be added

  Returns the associated with the specified .

  The associated with the specified .

  A containing the name of the for which a header is retrieved. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.MetafileHeader `` `` To be added. To be added

  Returns the associated with the specified .

  The associated with the specified .

  A . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Plays an individual metafile record.

  Element of the that specifies the type of metafile record being played. A set of flags that specify attributes of the record. The number of bytes in the record data. An array of bytes that contains the record data. 1.0.5000.0 2.0.0.0